Subject: [MMUSIC] ICE-SDP: Suggested text to clarify that an ICE transport switch does not require a new offer (in order to match the transport of the c/m- line with the transport of the new candidate)

From: Christer Holmberg <[email-masked]>
Date: Fri, 13 Jan 2017 11:59:04 +0000

Hi,

One of the issues that we were going to discuss in Seoul, but didn’t have much time for, was whether we should clarify that a ICE transport switch (using a previously exchanged and verified ICE candidate pair) does not require a new offer, in order to align the m- line with the new transport.

I got an action point in Seoul to suggest text for draft-ice-sep, and below is my initial suggestion:

4.2.  Subsequent Offer/Answer Exchanges

   Either agent MAY generate a subsequent offer at any time allowed by
   [RFC3264].  The rules in Section 4.1.5 will cause the controlling
   agent to send an updated offer at the conclusion of ICE processing
   when ICE has selected different candidate pairs from the default
   pairs.  This section defines rules for construction of subsequent
   offers and answers.

   Should a subsequent offer be rejected, ICE processing continues as if
   the subsequent offer had never been made.

   <new>

   As described in section 4.1.5, when ICE concludes, a subsequent offer might be required in order to match the transport in the c/m- line of a media stream with the transport of the the selected candidates. Once this has been done, if an endpoint later starts to send media using another candidate, the endpoint does not need to send a subsequent offer (even if the transport in the c/m- line does no longer match the transport of the candidate).

   </new>

Regards,

Christer

---

From: Roman Shpount <[email-masked]>
Date: Fri, 13 Jan 2017 14:12:40 -0500

This looks good to me.

One related question, what happens if another candidate pair is selected
during the time this updated offer is processed? This can cause offer and
answer contain candidates that do not form the pair and use different
transports.

Regards,

_____________
Roman Shpount

On Fri, Jan 13, 2017 at 6:59 AM, Christer Holmberg <
[email-masked]> wrote:

>
> Hi,
>
> One of the issues that we were going to discuss in Seoul, but didn’t have
> much time for, was whether we should clarify that a ICE transport switch
> (using a previously exchanged and verified ICE candidate pair) does not
> require a new offer, in order to align the m- line with the new transport.
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>
>